.contact-container {
    max-width: 100vh;
    justify-self: center;
    padding: 20px;
}

.contact-container h2 {
    color: #000;
    padding-bottom: 10px;
    margin-top: 0;
    font-size: 4rem;
    text-align: left ;
    margin-left: -95%;
}

#contact-form {
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 5% 5% 5% 5%; 
    margin-top: 20px;
    border-radius: 20px;
    background-color: #fff;
    width: 250%;
    align-self: center;
    border: 4px solid #000;
    height: auto;
    text-align: center;
    justify-self: center;
}

.input-group {
    position: relative;
    width: 100%;
}

#contact-form input,
#contact-form textarea,
#contact-form button {
    width: 100%;
    padding: 1rem 1rem;
    margin: 0.5rem 0;
    font-size: 1rem;
    border: 2px solid #000;
    border-radius: 5px;
    outline: none;
    transition: all 0.3s ease;
}

#contact-form input:focus,
#contact-form textarea:focus {
    border-color: #E32D30;
    box-shadow: 0 0 5px rgba(227, 45, 48, 0.5);
}

.user-label {
    position: absolute;
    left: 15px;
    color: #666;
    pointer-events: none;
    transform: translateY(1rem);
    transition: 150ms cubic-bezier(0.4,0,0.2,1);
    background-color: #fff;
    padding: 0 .2em;
}

.input:focus ~ .user-label,
.input:valid ~ .user-label {
    transform: translateY(-50%) scale(0.8);
    color: #000 ;
    font-weight: bold;
    font-size: 1.5rem;
    background-color: transparent;
}

#contact-form textarea {
    resize: vertical;
}

#contact-form button {
    background-color: #E32D30;
    color: #fff;
    font-weight: bold;
    cursor: pointer;
    border: none;
    width: fit-content;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

#contact-form button:hover {
    background-color: #ED8428;
    transform: translateY(-2px);
}

#form-status {
    margin-top: 1rem;
    font-size: 1rem;
    color: #333;
}

@media (max-width: 768px) {
    .contact-content {
        flex-direction: column;
        align-items: center;
    }

    #contact-form input,
    #contact-form textarea,
    #contact-form button {
        font-size: 0.9rem;
    }
}